Report of Patch Recommendations for Images

post

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/actions/patchRecommendationsReport

Recommended patches report for all the images

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
  • excludeList
    exclude the given details in response
  • limit for the current fetch (to fetch only the 'total' count of items need to set the limit=0)
    Example: 10
  • Base 64 encoded page
    Example: b2Zmc2V0OjA
  • Sort field along with an optional sort direction. The supported attributes for sorting are 'imageId', 'imageName', 'imageDescription', 'targetType', 'createdBy', 'timeCreated', 'platform', 'version', 'oracleRecommendedPatchCount', 'subcribedTargetStatistics.total', 'subcribedTargetStatistics.compliantTargetCount'.Valid sort directions include asc and desc. If sort direction is not specified asc is used by default.
    Example: imageName:asc
Match All
Show Source
Nested Schema : excludeList
Type: array
exclude the given details in response
Show Source
Nested Schema : PatchRecommendationsReportFilter
Type: object
Filters for the patch recommendations report
Show Source
Nested Schema : targetTypeList
Type: array
List of target types
Show Source
  • Allowed Values: [ "oracle_database", "rac_database", "cluster", "has" ]
Examples

Back to Top

Response

Supported Media Types

200 Response

OK. Patch recommendation report details retrieved.
Body ()
Root Schema : schema
Type: object
Match All
Show Source
Nested Schema : GoldImagePatchRecommendationsReport
Type: object
Image details
Show Source
Nested Schema : items
Type: array
list of targets
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : PatchRecommendationReportSummary
Type: object
Summary of image with Patch recommendation report
Show Source
Nested Schema : subcribedTargetStatistics
Type: object
Statistics of the subscribed targets
Match All
Statistics of the subscribed targets
Show Source
Nested Schema : SubscribedTargetStatistics
Type: object
Statistics of the subscribed targets
Show Source
Examples

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

404 Response

Not Found
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top